Subject: Re: bug#26101: Counterproductive calculation order in date

From: Ulf Zibis <[email-masked]>
Date: Wed, 15 Mar 2017 14:43:47 +0100

Am 15.03.2017 um 13:44 schrieb Eric Blake:
> Maybe you are confused on how date implements "subtract a month".  It
> does NOT do "subtract 28, 29, 30, or 31 days as appropriate", but rather
> does "subtract 30 days, for lack of anything better to do".

Are you really sure ???
Here on my 8.25 version I get:
$ date -d "-12 month" +%F
2016-03-15
$ date -d "-360 day" +%F
2016-03-20

So I think my list for enhancements is still fully applicable.

-Ulf

PS: You may drop the copy to my personal email, so I don't get it twice, 
as I'm subscribed to the list.